<template>
	<view class="sub" :style="'padding-top:'+padtop+'px'">
		<navbar :back="false" :title="codetit" :bgcolor="backgroundColor" color="#fff" fixed zIndex="1010" :center="true"	:custom='true' @getTop="getTop" back="true"/>
		<!-- 头部 -->
		<view class="pt28">
			<image :src="subimg" class="sub_img"></image>
			<view class="sub_tit">{{codetit}}</view>
			<view class="sub_txt">当前二维码已核销 可点击按钮继续核销</view>
			<view class="sub_back" @click="getCodeFn">继续核销</view>
			<view class="sub_home" @click="getHome">返回首页</view>
		</view>
		
		
	</view>
</template>

<script>
	export default{
		data(){
			return{
				padtop:this.$http._GET.customBarH||0,
				backgroundColor: 'linear-gradient(90deg, #A00517, #E93030)',
				subimg:require("@/static/images/submit.png"),
				codetit:"核销成功"
			}
		},
		methods:{
			getTop(e){
				this.padtop=e
			},
			getCodeFn(){
				var that=this;
				uni.redirectTo({
					url:'/pages/code/code'
				})
			},
			getHome(){
				uni.switchTab({
					url:"/pages/index/index"
				})
			}
		}
	}
</script>

<style scoped lang="scss">
	.sub{box-sizing: border-box;width: 100%;min-height: 100vh;}
	.sub_img{width: 238rpx;height: 256rpx;display: block;margin:0 auto 56rpx;}
	.sub_tit{font-size: 30rpx;font-weight: bold;
color: #000000;margin-bottom: 20rpx;text-align: center;}
	.sub_txt{font-size: 26rpx;color: #666666;text-align: center;width: 260rpx;margin: 0 auto 90rpx;}
	.sub_back{width: 416rpx;height:84rpx;width: 208px;
height: 42px;
background: linear-gradient(90deg, #A00517, #E93030);
border-radius: 21px;display: flex;align-items: center;justify-content: center;font-size: 30rpx;color: #ffffff;margin:0 auto 0;}
	.pt28{padding-top: 56rpx;}
	.sub_home{font-size: 0.26rem;color: #AAAAAA;text-align: center;position: fixed;bottom: 1rem;left: 50%;transform: translateX(-50%);}
</style>
